Bug 445710 - Wireless Kill Switch does not work after resume [NEEDINFO]
Wireless Kill Switch does not work after resume
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
9
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-08 13:35 EDT by Ferry Huberts
Modified: 2009-07-14 13:52 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 13:52:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
linville: needinfo? (dcbw)


Attachments (Terms of Use)

  None (edit)
Description Ferry Huberts 2008-05-08 13:35:28 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.8.1.14) Gecko/20080416 Fedora/2.0.0.14-1.fc8 Firefox/2.0.0.14

Description of problem:
When I suspend to RAM with the wireless kill switch on, then resume, and set the wireless kill switch to off, the wireless interface does not come back.

Version-Release number of selected component (if applicable):
kernel-2.6.25-14

How reproducible:
Always


Steps to Reproduce:
1. log in
2. connect to wireless network
3. set wireless kill switch to on
4. suspend to RAM
5. resume
6. log in
7. set wireless kill switch to off

--> wireless interface does not come back

Actual Results:
missing:
May  8 19:17:56 F9 kernel: Registered led device: iwl-phy0:radio
May  8 19:17:56 F9 kernel: Registered led device: iwl-phy0:assoc
May  8 19:17:56 F9 kernel: Registered led device: iwl-phy0:RX
May  8 19:17:56 F9 kernel: Registered led device: iwl-phy0:TX


Expected Results:
May  8 19:17:56 F9 kernel: Registered led device: iwl-phy0:radio
May  8 19:17:56 F9 kernel: Registered led device: iwl-phy0:assoc
May  8 19:17:56 F9 kernel: Registered led device: iwl-phy0:RX
May  8 19:17:56 F9 kernel: Registered led device: iwl-phy0:TX


Additional info:
I have a Lenovo T60 2007-6RG
T7200 CPU
4GB RAM
BIOS 2.21


Setting Wireless Kill Switch to Off
May  8 19:17:40 F9 kernel: iwl3945: Radio Frequency Kill Switch is On:
May  8 19:17:40 F9 kernel: Kill switch must be turned off for wireless networking to work.
May  8 19:17:44 F9 kernel: iwl3945: Error sending REPLY_LEDS_CMD: iwl3945_enqueue_hcmd failed: -5
May  8 19:17:44 F9 NetworkManager: <info>  (wlan0): supplicant connection state change: 7 -> 0
May  8 19:17:44 F9 NetworkManager: <info>  (wlan0): supplicant connection state change: 0 -> 2
May  8 19:17:46 F9 NetworkManager: <info>  Wireless now disabled by radio killswitch
May  8 19:17:46 F9 NetworkManager: <info>  (wlan0): device state change: 8 -> 2
May  8 19:17:46 F9 NetworkManager: <info>  (wlan0): deactivating device.
May  8 19:17:46 F9 NetworkManager: <info>  wlan0: canceled DHCP transaction, dhclient pid 3464
May  8 19:17:46 F9 dnsmasq[2730]: no servers found in /etc/resolv.conf, will retry
May  8 19:17:46 F9 dnsmasq[2780]: no servers found in /etc/resolv.conf, will retry
May  8 19:17:46 F9 avahi-daemon[2694]: Withdrawing address record for 192.168.0.51 on wlan0.
May  8 19:17:46 F9 avahi-daemon[2694]: Leaving mDNS multicast group on interface wlan0.IPv4 with address 192.168.0.51.
May  8 19:17:46 F9 avahi-daemon[2694]: Interface wlan0.IPv4 no longer relevant for mDNS.

Setting Wireless Kill Switch to On
May  8 19:17:56 F9 kernel: Registered led device: iwl-phy0:radio
May  8 19:17:56 F9 kernel: Registered led device: iwl-phy0:assoc
May  8 19:17:56 F9 kernel: Registered led device: iwl-phy0:RX
May  8 19:17:56 F9 kernel: Registered led device: iwl-phy0:TX
May  8 19:17:58 F9 NetworkManager: <info>  Wireless now enabled by radio killswitch
May  8 19:17:58 F9 NetworkManager: <info>  (wlan0): device state change: 2 -> 3
May  8 19:26:27 F9 kernel: eth0: Link is Up 1000 Mbps Full Duplex, Flow Control: RX/TX
May  8 19:26:27 F9 kernel: ADDRCONF(NETDEV_CHANGE): eth0: link becomes ready
May  8 19:26:27 F9 NetworkManager: <info>  (eth0): carrier now ON (device state 2)
May  8 19:26:27 F9 NetworkManager: <info>  (eth0): device state change: 2 -> 3
May  8 19:26:27 F9 NetworkManager: <info>  Activation (eth0) starting connection 'eth0'
May  8 19:26:27 F9 NetworkManager: <info>  (eth0): device state change: 3 -> 4
May  8 19:26:27 F9 NetworkManager: <info>  Activation (eth0) Stage 1 of 5 (Device Prepare) scheduled...
May  8 19:26:27 F9 NetworkManager: <info>  Activation (eth0) Stage 1 of 5 (Device Prepare) started...
May  8 19:26:27 F9 NetworkManager: <info>  Activation (eth0) Stage 2 of 5 (Device Configure) scheduled...
May  8 19:26:27 F9 NetworkManager: <info>  Activation (eth0) Stage 1 of 5 (Device Prepare) complete.
May  8 19:26:27 F9 NetworkManager: <info>  Activation (eth0) Stage 2 of 5 (Device Configure) starting...
May  8 19:26:27 F9 NetworkManager: <info>  (eth0): device state change: 4 -> 5
May  8 19:26:27 F9 NetworkManager: <info>  Activation (eth0) Stage 2 of 5 (Device Configure) successful.
May  8 19:26:27 F9 NetworkManager: <info>  Activation (eth0) Stage 3 of 5 (IP Configure Start) scheduled.
May  8 19:26:27 F9 NetworkManager: <info>  Activation (eth0) Stage 2 of 5 (Device Configure) complete.
May  8 19:26:27 F9 NetworkManager: <info>  Activation (eth0) Stage 3 of 5 (IP Configure Start) started...
May  8 19:26:27 F9 NetworkManager: <info>  (eth0): device state change: 5 -> 7
May  8 19:26:27 F9 NetworkManager: <info>  Activation (eth0) Beginning DHCP transaction.
May  8 19:26:27 F9 dhclient: Internet Systems Consortium DHCP Client 4.0.0
May  8 19:26:27 F9 NetworkManager: <info>  dhclient started with pid 4316
May  8 19:26:27 F9 NetworkManager: <info>  Activation (eth0) Stage 3 of 5 (IP Configure Start) complete.
May  8 19:26:27 F9 dhclient: Copyright 2004-2007 Internet Systems Consortium.
May  8 19:26:27 F9 dhclient: All rights reserved.
May  8 19:26:27 F9 dhclient: For info, please visit http://www.isc.org/sw/dhcp/
May  8 19:26:27 F9 dhclient: 
May  8 19:26:27 F9 NetworkManager: <info>  DHCP: device eth0 state changed (null) -> preinit
May  8 19:26:27 F9 dhclient: Listening on LPF/eth0/00:1a:6b:3c:bd:fc
May  8 19:26:27 F9 dhclient: Sending on   LPF/eth0/00:1a:6b:3c:bd:fc
May  8 19:26:27 F9 dhclient: Sending on   Socket/fallback
May  8 19:26:28 F9 avahi-daemon[2694]: Registering new address record for fe80::21a:6bff:fe3c:bdfc on eth0.*.
May  8 19:26:31 F9 dhclient: DHCPDISCOVER on eth0 to 255.255.255.255 port 67 interval 6
May  8 19:26:31 F9 dhclient: DHCPOFFER from 192.168.0.1
May  8 19:26:31 F9 dhclient: DHCPREQUEST on eth0 to 255.255.255.255 port 67
May  8 19:26:31 F9 dhclient: DHCPACK from 192.168.0.1
May  8 19:26:31 F9 dhclient: bound to 192.168.0.197 -- renewal in 13748 seconds.
May  8 19:26:31 F9 NetworkManager: <info>  DHCP: device eth0 state changed preinit -> bound
May  8 19:26:31 F9 NetworkManager: <info>  Activation (eth0) Stage 4 of 5 (IP Configure Get) scheduled...
May  8 19:26:31 F9 NetworkManager: <info>  Activation (eth0) Stage 4 of 5 (IP Configure Get) started...
May  8 19:26:31 F9 NetworkManager: <info>    address 192.168.0.197
May  8 19:26:31 F9 NetworkManager: <info>    netmask 255.255.255.0
May  8 19:26:31 F9 NetworkManager: <info>    broadcast 192.168.0.255
May  8 19:26:31 F9 NetworkManager: <info>    gateway 192.168.0.1
May  8 19:26:31 F9 NetworkManager: <info>    nameserver '192.168.0.1'
May  8 19:26:31 F9 NetworkManager: <info>    domain name 'xxxxxxxxxxxxxxx'
May  8 19:26:31 F9 NetworkManager: <info>  Activation (eth0) Stage 5 of 5 (IP Configure Commit) scheduled...
May  8 19:26:31 F9 NetworkManager: <info>  Activation (eth0) Stage 4 of 5 (IP Configure Get) complete.
May  8 19:26:31 F9 NetworkManager: <info>  Activation (eth0) Stage 5 of 5 (IP Configure Commit) started...
May  8 19:26:31 F9 avahi-daemon[2694]: Joining mDNS multicast group on interface eth0.IPv4 with address 192.168.0.197.
May  8 19:26:31 F9 avahi-daemon[2694]: New relevant interface eth0.IPv4 for mDNS.
May  8 19:26:31 F9 avahi-daemon[2694]: Registering new address record for 192.168.0.197 on eth0.IPv4.
May  8 19:26:32 F9 pulseaudio[3317]: module-tunnel.c: Connection failed: No route to host
May  8 19:26:32 F9 pulseaudio[3317]: module-tunnel.c: Connection failed: No route to host
May  8 19:26:32 F9 pulseaudio[3317]: module-tunnel.c: Connection failed: No route to host
May  8 19:26:32 F9 NetworkManager: <info>  (eth0): device state change: 7 -> 8
May  8 19:26:32 F9 NetworkManager: <info>  Policy set (eth0) as default device for routing and DNS.
May  8 19:26:32 F9 NetworkManager: <info>  Activation (eth0) successful, device activated.
May  8 19:26:32 F9 NetworkManager: <info>  Activation (eth0) Stage 5 of 5 (IP Configure Commit) complete.
Comment 1 Ferry Huberts 2008-05-08 14:50:53 EDT
in the 'Additional info:' section I reversed 'Setting Wireless Kill Switch to
Off' and 'Setting Wireless Kill Switch to On'. But I think that's clear from the
syslog messages :-)
Comment 2 Bug Zapper 2008-05-14 06:51:06 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 John W. Linville 2008-06-12 13:57:39 EDT
If you execute "ifconfig wlan0 up" after a resume, do things improve?
Comment 4 Ferry Huberts 2008-06-19 14:08:41 EDT
almost fixed..... :-)

- When I switch on the wireless after resume I see no effect (for at least a few
minutes).
- When I execute "ifconfig wlan0 up" after resume I see the interface coming up
but NetworkManager doesn't seem to pick it up properly since I don't see my
network coming up and the wireless interface isn't even listed in the list of
connections in the NM networks list. Logging below.

Jun 19 20:00:45 Stinkpad kernel: ACPI: PCI Interrupt 0000:03:00.0[A] -> GSI 17
(level, low) -> IRQ 17
Jun 19 20:00:45 Stinkpad kernel: Registered led device: iwl-phy0:radio
Jun 19 20:00:45 Stinkpad kernel: Registered led device: iwl-phy0:assoc
Jun 19 20:00:45 Stinkpad kernel: Registered led device: iwl-phy0:RX
Jun 19 20:00:45 Stinkpad kernel: Registered led device: iwl-phy0:TX
Jun 19 20:00:45 Stinkpad kernel: ADDRCONF(NETDEV_UP): wlan0: link is not ready
Jun 19 20:00:51 Stinkpad NetworkManager: <info>  Wireless now enabled by radio
killswitch
Jun 19 20:00:51 Stinkpad NetworkManager: <info>  (wlan0): device state change: 2
-> 3

- When I restart NM after the interface is up everything comes up after a short
while. Logging below.

Jun 19 20:03:46 Stinkpad NetworkManager: <WARN>  nm_signal_handler(): Caught
signal 15, shutting down normally.
Jun 19 20:03:46 Stinkpad NetworkManager: <info>  (eth0): now unmanaged
Jun 19 20:03:46 Stinkpad NetworkManager: <info>  (eth0): device state change: 2 -> 1
Jun 19 20:03:46 Stinkpad NetworkManager: <info>  (eth0): cleaning up...
Jun 19 20:03:46 Stinkpad NetworkManager: <info>  (eth0): taking down device.
Jun 19 20:03:46 Stinkpad NetworkManager: <info>  (wlan0): now unmanaged
Jun 19 20:03:46 Stinkpad NetworkManager: <info>  (wlan0): device state change: 3
-> 1
Jun 19 20:03:46 Stinkpad NetworkManager: <info>  (wlan0): taking down device.
Jun 19 20:03:46 Stinkpad kernel: ACPI: PCI interrupt for device 0000:03:00.0
disabled
Jun 19 20:03:47 Stinkpad NetworkManager: <info>  starting...
Jun 19 20:03:47 Stinkpad NetworkManager: <info>  Found radio killswitch
/org/freedesktop/Hal/devices/ipw_wlan_switch
Jun 19 20:03:47 Stinkpad NetworkManager: <info>  eth0: Device is fully-supported
using driver 'e1000e'.
Jun 19 20:03:47 Stinkpad NetworkManager: <info>  Found new Ethernet device 'eth0'.
Jun 19 20:03:47 Stinkpad NetworkManager: <info>  (eth0): exported as
/org/freedesktop/Hal/devices/net_00_1a_6b_3c_bd_fc
Jun 19 20:03:47 Stinkpad NetworkManager: <info>  wlan0: Device is
fully-supported using driver 'iwl3945'.
Jun 19 20:03:47 Stinkpad NetworkManager: <info>  wlan0: driver supports SSID
scans (scan_capa 0x01).
Jun 19 20:03:47 Stinkpad NetworkManager: <info>  Found new wireless (802.11)
device 'wlan0'.
Jun 19 20:03:47 Stinkpad NetworkManager: <info>  (wlan0): exported as
/org/freedesktop/Hal/devices/net_00_1b_77_03_de_b0
Jun 19 20:03:51 Stinkpad NetworkManager: <info>  (eth0): device state change: 1 -> 2
Jun 19 20:03:51 Stinkpad NetworkManager: <info>  (eth0): bringing up device.
Jun 19 20:03:51 Stinkpad kernel: ADDRCONF(NETDEV_UP): eth0: link is not ready
Jun 19 20:03:51 Stinkpad NetworkManager: <info>  (eth0): preparing device.
Jun 19 20:03:51 Stinkpad NetworkManager: <info>  (eth0): deactivating device.
Jun 19 20:03:51 Stinkpad kernel: ACPI: PCI Interrupt 0000:03:00.0[A] -> GSI 17
(level, low) -> IRQ 17
Jun 19 20:03:51 Stinkpad NetworkManager: <info>  (wlan0): device state change: 1
-> 2
Jun 19 20:03:51 Stinkpad NetworkManager: <info>  (wlan0): bringing up device.
Jun 19 20:03:51 Stinkpad kernel: Registered led device: iwl-phy0:radio
Jun 19 20:03:51 Stinkpad kernel: Registered led device: iwl-phy0:assoc
Jun 19 20:03:51 Stinkpad kernel: Registered led device: iwl-phy0:RX
Jun 19 20:03:51 Stinkpad kernel: Registered led device: iwl-phy0:TX
Jun 19 20:03:51 Stinkpad kernel: ADDRCONF(NETDEV_UP): wlan0: link is not ready
Jun 19 20:03:51 Stinkpad NetworkManager: <info>  (wlan0): preparing device.
Jun 19 20:03:51 Stinkpad NetworkManager: <info>  (wlan0): deactivating device.
Jun 19 20:03:51 Stinkpad NetworkManager: <info>  (wlan0): device state change: 2
-> 3
Jun 19 20:03:51 Stinkpad NetworkManager: <info>  (wlan0): supplicant interface
state change: 1 -> 2.
Jun 19 20:03:53 Stinkpad console-kit-daemon[2183]: WARNING: Couldn't read
/proc/6193/environ: Error reading file '/proc/6193/environ': No such process
Jun 19 20:04:16 Stinkpad NetworkManager: <info>  Activation (wlan0) starting
connection 'Auto xxxxxxxxxx'
Jun 19 20:04:16 Stinkpad NetworkManager: <info>  (wlan0): device state change: 3
-> 4
Jun 19 20:04:16 Stinkpad NetworkManager: <info>  Activation (wlan0) Stage 1 of 5
(Device Prepare) scheduled...
Jun 19 20:04:16 Stinkpad NetworkManager: <info>  Activation (wlan0) Stage 1 of 5
(Device Prepare) started...
Jun 19 20:04:16 Stinkpad NetworkManager: <info>  Activation (wlan0) Stage 2 of 5
(Device Configure) scheduled...
Jun 19 20:04:16 Stinkpad NetworkManager: <info>  Activation (wlan0) Stage 1 of 5
(Device Prepare) complete.
Jun 19 20:04:16 Stinkpad NetworkManager: <info>  Activation (wlan0) Stage 2 of 5
(Device Configure) starting...
Jun 19 20:04:16 Stinkpad NetworkManager: <info>  (wlan0): device state change: 4
-> 5
Jun 19 20:04:16 Stinkpad NetworkManager: <info>  Activation (wlan0/wireless):
access point 'Auto xxxxxxxxxx' has security, but secrets are required.
Jun 19 20:04:16 Stinkpad NetworkManager: <info>  (wlan0): device state change: 5
-> 6
Jun 19 20:04:16 Stinkpad NetworkManager: <info>  Activation (wlan0) Stage 2 of 5
(Device Configure) complete.
Jun 19 20:04:16 Stinkpad NetworkManager: Missing or invalid key management
Jun 19 20:04:16 Stinkpad NetworkManager: <info>  Activation (wlan0) Stage 1 of 5
(Device Prepare) scheduled...
Jun 19 20:04:16 Stinkpad NetworkManager: <info>  Activation (wlan0) Stage 1 of 5
(Device Prepare) started...
Jun 19 20:04:16 Stinkpad NetworkManager: <info>  (wlan0): device state change: 6
-> 4
Jun 19 20:04:16 Stinkpad NetworkManager: <info>  Activation (wlan0) Stage 2 of 5
(Device Configure) scheduled...
Jun 19 20:04:16 Stinkpad NetworkManager: <info>  Activation (wlan0) Stage 1 of 5
(Device Prepare) complete.
Jun 19 20:04:16 Stinkpad NetworkManager: <info>  Activation (wlan0) Stage 2 of 5
(Device Configure) starting...
Jun 19 20:04:16 Stinkpad NetworkManager: <info>  (wlan0): device state change: 4
-> 5
Jun 19 20:04:16 Stinkpad NetworkManager: <info>  Activation (wlan0/wireless):
connection 'Auto xxxxxxxxxx' has security, and secrets exist.  No new secrets
needed.
Jun 19 20:04:16 Stinkpad NetworkManager: <info>  Config: added 'ssid' value
'xxxxxxxxxx'
Jun 19 20:04:16 Stinkpad NetworkManager: <info>  Config: added 'scan_ssid' value '1'
Jun 19 20:04:16 Stinkpad NetworkManager: <info>  Config: added 'key_mgmt' value
'WPA-PSK'
Jun 19 20:04:16 Stinkpad NetworkManager: <info>  Config: added 'psk' value
'<omitted>'
Jun 19 20:04:16 Stinkpad NetworkManager: <info>  Config: added 'proto' value
'WPA RSN'
Jun 19 20:04:16 Stinkpad NetworkManager: <info>  Config: added 'pairwise' value
'TKIP CCMP'
Jun 19 20:04:16 Stinkpad NetworkManager: <info>  Config: added 'group' value
'WEP40 WEP104 TKIP CCMP'
Jun 19 20:04:16 Stinkpad NetworkManager: <info>  Activation (wlan0) Stage 2 of 5
(Device Configure) complete.
Jun 19 20:04:16 Stinkpad NetworkManager: <info>  Config: set interface ap_scan to 1
Jun 19 20:04:16 Stinkpad NetworkManager: <info>  (wlan0): supplicant connection
state change: 2 -> 0
Jun 19 20:04:16 Stinkpad NetworkManager: <info>  (wlan0): supplicant connection
state change: 0 -> 2
Jun 19 20:04:17 Stinkpad NetworkManager: <info>  (wlan0): supplicant connection
state change: 2 -> 3
Jun 19 20:04:17 Stinkpad NetworkManager: <info>  (wlan0): supplicant connection
state change: 3 -> 4
Jun 19 20:04:17 Stinkpad kernel: ADDRCONF(NETDEV_CHANGE): wlan0: link becomes ready
Jun 19 20:04:17 Stinkpad NetworkManager: <info>  (wlan0): supplicant connection
state change: 4 -> 5
Jun 19 20:04:17 Stinkpad NetworkManager: <info>  (wlan0): supplicant connection
state change: 5 -> 6
Jun 19 20:04:17 Stinkpad NetworkManager: <info>  (wlan0): supplicant connection
state change: 6 -> 7
Jun 19 20:04:17 Stinkpad NetworkManager: <info>  Activation (wlan0/wireless)
Stage 2 of 5 (Device Configure) successful.  Connected to wireless network
'xxxxxxxxxx'.
Jun 19 20:04:17 Stinkpad NetworkManager: <info>  Activation (wlan0) Stage 3 of 5
(IP Configure Start) scheduled.
Jun 19 20:04:17 Stinkpad NetworkManager: <info>  Activation (wlan0) Stage 3 of 5
(IP Configure Start) started...
Jun 19 20:04:17 Stinkpad NetworkManager: <info>  (wlan0): device state change: 5
-> 7
Jun 19 20:04:17 Stinkpad NetworkManager: <info>  Activation (wlan0) Beginning
DHCP transaction.
Jun 19 20:04:17 Stinkpad NetworkManager: <info>  dhclient started with pid 6231
Jun 19 20:04:17 Stinkpad NetworkManager: <info>  Activation (wlan0) Stage 3 of 5
(IP Configure Start) complete.
Jun 19 20:04:17 Stinkpad dhclient: Internet Systems Consortium DHCP Client 4.0.0
Jun 19 20:04:17 Stinkpad dhclient: Copyright 2004-2007 Internet Systems Consortium.
Jun 19 20:04:17 Stinkpad dhclient: All rights reserved.
Jun 19 20:04:17 Stinkpad dhclient: For info, please visit
http://www.isc.org/sw/dhcp/
Jun 19 20:04:17 Stinkpad dhclient: 
Jun 19 20:04:17 Stinkpad NetworkManager: <info>  DHCP: device wlan0 state
changed (null) -> preinit
Jun 19 20:04:17 Stinkpad dhclient: Listening on LPF/wlan0/00:1b:77:03:de:b0
Jun 19 20:04:17 Stinkpad dhclient: Sending on   LPF/wlan0/00:1b:77:03:de:b0
Jun 19 20:04:17 Stinkpad dhclient: Sending on   Socket/fallback
Jun 19 20:04:19 Stinkpad dhclient: DHCPDISCOVER on wlan0 to 255.255.255.255 port
67 interval 8
Jun 19 20:04:19 Stinkpad dhclient: DHCPOFFER from 192.168.0.1
Jun 19 20:04:19 Stinkpad dhclient: DHCPREQUEST on wlan0 to 255.255.255.255 port 67
Jun 19 20:04:19 Stinkpad dhclient: DHCPACK from 192.168.0.1
Jun 19 20:04:19 Stinkpad NetworkManager: <info>  DHCP: device wlan0 state
changed preinit -> bound
Jun 19 20:04:19 Stinkpad NetworkManager: <info>  Activation (wlan0) Stage 4 of 5
(IP Configure Get) scheduled...
Jun 19 20:04:19 Stinkpad NetworkManager: <info>  Activation (wlan0) Stage 4 of 5
(IP Configure Get) started...
Jun 19 20:04:19 Stinkpad NetworkManager: <info>    address 192.168.0.51
Jun 19 20:04:19 Stinkpad NetworkManager: <info>    netmask 255.255.255.0
Jun 19 20:04:19 Stinkpad NetworkManager: <info>    gateway 192.168.0.1
Jun 19 20:04:19 Stinkpad NetworkManager: <info>    hostname 'xxxxxxxxxx'
Jun 19 20:04:19 Stinkpad NetworkManager: <info>    nameserver '192.168.0.1'
Jun 19 20:04:19 Stinkpad NetworkManager: <info>    domain name 'xxxxxxxxxx.'
Jun 19 20:04:19 Stinkpad NetworkManager: <info>  Activation (wlan0) Stage 5 of 5
(IP Configure Commit) scheduled...
Jun 19 20:04:19 Stinkpad NetworkManager: <info>  Activation (wlan0) Stage 4 of 5
(IP Configure Get) complete.
Jun 19 20:04:19 Stinkpad NetworkManager: <info>  Activation (wlan0) Stage 5 of 5
(IP Configure Commit) started...
Jun 19 20:04:19 Stinkpad dhclient: bound to 192.168.0.51 -- renewal in 14364
seconds.
Jun 19 20:04:20 Stinkpad NetworkManager: <info>  (wlan0): device state change: 7
-> 8
Jun 19 20:04:20 Stinkpad NetworkManager: <info>  Policy set (wlan0) as default
device for routing and DNS.
Jun 19 20:04:20 Stinkpad NetworkManager: <info>  Activation (wlan0) successful,
device activated.
Jun 19 20:04:20 Stinkpad NetworkManager: <info>  Activation (wlan0) Stage 5 of 5
(IP Configure Commit) complete.

Comment 5 John W. Linville 2008-07-01 14:58:56 EDT
Perhaps Dan can comment on what NM (or DBUS, or...) might should be doing
differently?
Comment 6 Warren Togami 2008-08-19 16:43:43 EDT
Dan Williams mentioned to me that this is actually a hal problem?  hal doesn't know about the "new" common rfkill being supported by wireless drivers in the upstream kernel now?
Comment 7 Ferry Huberts 2008-12-01 14:39:43 EST
upgraded my T60 to F10 but resume does not work with its default kernel.
once that works again i'll look into this report.
Comment 8 Bug Zapper 2009-06-09 20:41:19 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2009-07-14 13:52:35 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.